<?php

include '../../../script/conexion.php';

$id = $_POST['id_venta'];
$nombre_usuario = $_POST['nombre_usuario'];
$fecha = $_POST['fecha'];
$nombre_tercero = $_POST['nombre_tercero'];
$numero_factura = $_POST['numero_factura'];
$observacion = $_POST['observacion'];

$sqlt = "SELECT * FROM alm_venta WHERE id='$id'";
$queryt = $conn->query($sqlt);
$rowt = $queryt->fetch_assoc();

$sql1 = "UPDATE alm_venta SET nombre_usuario='$nombre_usuario', fecha='$fecha', nombre_tercero='$nombre_tercero', numero_factura='$numero_factura', observacion='$observacion' WHERE id='$id'";
if ($conn->query($sql1) === TRUE) {



    $sql3 = "SELECT * FROM alm_venta_detalle WHERE  id_venta='$id'";
    $query3 = $conn->query($sql3);
    if ($query3->num_rows > 0) {
        while ($row3 = $query3->fetch_assoc()) {

            $class_nombre_tercero_cierre = $nombre_tercero;
            $class_referencia_cierre = $row3['referencia_producto'];
            $class_talla_cierre = $row3['talla'];

            include '../../../clases/class-cierre.php';

            $class_nombre_tercero_cierre = $rowt['nombre_tercero'];
            $class_referencia_cierre = $row3['referencia_producto'];
            $class_talla_cierre = $row3['talla'];

            include '../../../clases/class-cierre.php';
        }
    }


    echo '<script language = javascript>
                        self.location = "../venta-detalle.php?id_venta=' . $id . '"
                </script>';
} else {
    echo "Error: " . $sql1 . "<br>" . $conn->error;
}


